[ OpenFire ] [ 4.5.0 ] Instant messaging / groupchat server

QoolBox

Grand Maître Jedi
fetch.php


Source : http://www.igniterealtime.org/

Download : x64 version

https://qnapclub.eu/index.php?act=detail&qpkg_id=207

Dépendance :

QJDK8

A propos :

Openfire (anciennement connu sous le nom de Wildfire et auparavant de JiveMessenger) est un serveur Jabber/XMPP écrit en Java et distribué sous licence publique générale GNU.
Spécialement adapté pour votre NAS QNAP.


openfire.jpg
 

bigorno

Nouveau membre
Hello,
merci pour le boulot fait, ça me sert tous les jours. Mais ça vous serait possible de mettre à jour le paquet ? Ou de mettre à dispo la doc. Je veux bien m'y coller si ça peur aider et si c'est pas trop compliqué.
 

QoolBox

Grand Maître Jedi
Mis à jours,

mais ce package était assez vieux.. du coup j'ai du réécrire le code d'exécution et les dépendances

du coup je ne pense pas que l'upgrade passera.. il faut mieux désinstaller l'ancienne version et réinstaller la nouvelle
 

Tosh

Chevalier Jedi
Je viens de l'installer par contre je n'arrive pas à m'identifier...
Je souhaiterai donc refaire la configuration mais je ne sais pas comment faire...

Le message suivant apparait lorsque je relance le setup :

Code:
Pour réexécutée l'installation, vous devrez arrêter votre serveur d'applications, effacez la propriété "setup" du fichier openfire.xml,redémarrer Openfire et relancer l'outil d'installation.

Quel est le chemin à suivre pour atteindre le fichier .xml sur un NAS ?

Merci.
 

QoolBox

Grand Maître Jedi
quelques part dans /opt/OpenFire, je dirais

Code:
find /opt/OpenFire -name openfire.xml
 

Partyboy44

Nouveau membre
Bonjour tout le monde,

Nouveau sur le forum, je suis à la recherche d'informations sur l'utilisation d'Openfire sur mon Qnap.

Mon Qnap est un TS-453U sous FW 4.2.2

J'ai bien installé les 2 paquets (QJDK8 et Openfire 4.0.3) mais maintenant quand je clic sur le bouton OPENFIRE dans l'App Center, j'ai un nouvel onglet qui s'ouvre dans mon navigateur vers le lien : http://monserveur.myqnapcloud.com:9090 ........et.........rien

J'ai fait une redirection sur mon routeur du port 9090 vers le port 80.....et.....rien

J'ai essayé de changer l'url par : http://monserveur.myqnapcloud.com/openfire .....et....rien

BREF....

Je n'arrive pas à accéder à l'interface Openfire...

Quelqu'un a une astuce ????

Merci d'avance
 

QoolBox

Grand Maître Jedi
Salut et sur ton LAN ? plutot que Qnapcloud ?

peut être un autre services qui tourne sur :9090 à verifier

tu dois avoir des logs il me semble dans /opt/OpenFire à verifier ..
 

QoolBox

Grand Maître Jedi
ne pas oublié également :

x86 Version --> pour NAS en 4.2.2 ou en inférieur
x86_64 Version ---> pour NAS en 4.3.x ou superieur
 

Partyboy44

Nouveau membre
Ah okok...

J'ai donc désinstallé la version x86_64 et installé la version x86....cependant....toujours pareil.

L'url a utiliser est bien normalement : ip:9090 ? (sur le lan)
 

Partyboy44

Nouveau membre
J'ai un fichier de log maintenant qui est "nohup.out" et dedans j'ai la ligne :

/opt/QJDK8/bin/java: error while loading shared libraries: libdl.so.2: wrong ELF class: ELFCLASS32

Mauvais paquet Java d'installé ????

Si oui, quel lien utiliser ?
 

Partyboy44

Nouveau membre
C'est GGGGGOOOOOOODDDDDD :) :) :)

Petite question maintenant....est-ce qu'on peut lier les utilisateurs du QNAP à OpenFire....histoire de ne pas devoir les créer 2 fois ?
 

CCEAU

Nouveau membre
Salut,

Débutant en NAS j'avais réussi à installer la version 3.9. MAis je n'arrive pas à installer la dernière version.

J'ai essayé de télécharger et d'installer la version windows pour mon PC mais cela ne permet pas de l'installer sur mon NAS.
Y a t-il une source à ajouter pour trouver ce paquet ?

Je suis sur un Synology DS 415+.

Merci.
 

QoolBox

Grand Maître Jedi
CCEAU a dit:
Salut,

Débutant en NAS j'avais réussi à installer la version 3.9. MAis je n'arrive pas à installer la dernière version.

J'ai essayé de télécharger et d'installer la version windows pour mon PC mais cela ne permet pas de l'installer sur mon NAS.
Y a t-il une source à ajouter pour trouver ce paquet ?

Je suis sur un Synology DS 415+.

Merci.


Si tu prends un Qnap cela risque de mieux fonctionner :)

ce n'est pas compatible Synology
 
Haut Bas